Name:          nilfs-utils
Version:       2.2.5
Release:       1mamba
Summary:       Userspace tools for the nilfs filesystem
Group:         System/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.nilfs.org/
Source:        http://nilfs.sourceforge.net/download/nilfs-utils-%{version}.tar.bz2
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libblkid-devel
BuildRequires: libmount-devel
BuildRequires: libuuid-devel
## AUTOBUILDREQ-END
Requires:      libnilfs = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Userspace tools for the nilfs filesystem.

%package -n libnilfs
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n libnilfs
This package contains shared libraries for %{name}.

%package -n libnilfs-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      libnilfs = %{?epoch:%epoch:}%{version}-%{release}

%description -n libnilfs-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n libnilfs -p /sbin/ldconfig
%postun -n libnilfs -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_sysconfdir}/nilfs_cleanerd.conf
/sbin/mkfs.nilfs2
/sbin/mount.nilfs2
/sbin/nilfs_cleanerd
/sbin/umount.nilfs2
%{_bindir}/chcp
%{_bindir}/dumpseg
%{_bindir}/lscp
%{_bindir}/lssu
%{_bindir}/mkcp
%{_bindir}/rmcp
%{_sbindir}/nilfs-clean
%{_sbindir}/nilfs-resize
%{_sbindir}/nilfs-tune
%{_mandir}/man1/lscp.1.gz
%{_mandir}/man1/lssu.1.gz
%{_mandir}/man5/nilfs_cleanerd.conf.5.gz
%{_mandir}/man8/chcp.8.gz
%{_mandir}/man8/dumpseg.8.gz
%{_mandir}/man8/mkcp.8.gz
%{_mandir}/man8/mkfs.nilfs2.8.gz
%{_mandir}/man8/mount.nilfs2.8.gz
%{_mandir}/man8/nilfs-clean.8.gz
%{_mandir}/man8/nilfs-resize.8.gz
%{_mandir}/man8/nilfs-tune.8.gz
%{_mandir}/man8/nilfs.8.gz
%{_mandir}/man8/nilfs_cleanerd.8.gz
%{_mandir}/man8/rmcp.8.gz
%{_mandir}/man8/umount.nilfs2.8.gz

%files -n libnilfs
%defattr(-,root,root)
%{_libdir}/libnilfs.so.*
%{_libdir}/libnilfscleaner.so.*
%{_libdir}/libnilfsgc.so.*
%doc AUTHORS COPYING

%files -n libnilfs-devel
%defattr(-,root,root)
%{_includedir}/nilfs.h
%{_includedir}/nilfs2_fs.h
%{_includedir}/nilfs_cleaner.h
%{_libdir}/libnilfs.a
%{_libdir}/libnilfs.la
%{_libdir}/libnilfs.so
%{_libdir}/libnilfscleaner.a
%{_libdir}/libnilfscleaner.la
%{_libdir}/libnilfscleaner.so
%{_libdir}/libnilfsgc.a
%{_libdir}/libnilfsgc.la
%{_libdir}/libnilfsgc.so
%doc ChangeLog README

%changelog
* Fri Sep 16 2016 Automatic Build System <autodist@mambasoft.it> 2.2.5-1mamba
- automatic update by autodist

* Tue May 24 2016 Automatic Build System <autodist@mambasoft.it> 2.2.4-1mamba
- automatic version update by autodist

* Mon Mar 02 2015 Automatic Build System <autodist@mambasoft.it> 2.2.3-1mamba
- automatic version update by autodist

* Sun Jan 25 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.2-1mamba
- package created using the webbuild interface
